Bug 215158 - Review Request: xfce4-eyes-plugin - Eyes for the Xfce panel
Review Request: xfce4-eyes-plugin - Eyes for the Xfce panel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-11 12:31 EST by Christoph Wickert
Modified: 2014-09-23 08:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 21:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-11-11 12:31:55 EST
Spec URL: http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xfce4-eyes-plugin.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xfce4-eyes-plugin-4.3.99.1-1.fc7.src.rpm
Description: A xfce4 panel plugin that adds eyes which watch your every step. Scary!

In XFCE 4.2 this plugin used to be part of the xfce-toys, in 4.4 it's seperate package.
Comment 1 Patrice Dumas 2006-11-11 17:18:35 EST
It is possible to remove everything that owns /usr/share/xfce4/
and xfce4-eyes-plugin can still be installed. It is not 
obvious that xfce4-eyes-plugin should depend on a package
which owns /usr/share/xfce4/, however maybe xfce4-panel should.
Comment 2 Christoph Wickert 2006-11-11 17:29:14 EST
(In reply to comment #1)
> It is possible to remove everything that owns /usr/share/xfce4/
> and xfce4-eyes-plugin can still be installed.

Really? The package depends on xfce4-panel, which owns
/usr/share/xfce4/panel-plugins.

> It is not 
> obvious that xfce4-eyes-plugin should depend on a package
> which owns /usr/share/xfce4/, however maybe xfce4-panel should.

I have been talking about that with Kevin before. CC'ing him.
Comment 3 Patrice Dumas 2006-11-11 17:43:18 EST
$ rpm -qf /usr/share/xfce4
xfwm4-4.3.99.2-1.fc7
xfce4-icon-theme-4.3.99.2-1.fc7

After removing those packages and the dependent packages, xfce
isn't functional anymore, but there is still certainly a packaging 
mistake somewhere since xfce4-panel is still there.
Comment 4 Christoph Wickert 2006-11-11 17:48:04 EST
Of course you are correct. 

How about this: xfce4-panel should depend on xfce4-icon-theme, since the "add
new starter"-dialog uses the default xfce icons. xfce4-icon-theme also owns
/usr/share/xfce4/.
Comment 5 Patrice Dumas 2006-11-11 18:01:01 EST
(In reply to comment #4)
> Of course you are correct. 
> 
> How about this: xfce4-panel should depend on xfce4-icon-theme, since the "add
> new starter"-dialog uses the default xfce icons. xfce4-icon-theme also owns
> /usr/share/xfce4/.

Right. I used a similar argument to convince Kevin to have Thunar depend
on xfce4-icon-theme.
Comment 6 Patrice Dumas 2006-11-11 18:18:37 EST
* follow packaging guidelines
* rpmlint is silent
* licence GPL match package, included
* match upstream
dd5bbf3f31ca7d959ec808983a419062  ./xfce4-eyes-plugin-4.3.99.1.tar.bz2
* sane provides
* build and works in devel
* %files right except that /usr/share/xfce4/ is unowned, but it is 
  also the case for xfce4-panel which is the culprit here.
* %doc not runtime

APPROVED

$ ldd -u -r /usr/libexec/xfce4/panel-plugins/xfce4-eyes-plugin
Unused direct dependencies:

        /usr/lib/libatk-1.0.so.0
        /usr/lib/libpangocairo-1.0.so.0
        /usr/lib/libpango-1.0.so.0
        /usr/lib/libcairo.so.2
        /lib/libgmodule-2.0.so.0
        /lib/libdl.so.2

Except for /lib/libdl.so.2, this should certainly be solved to avoid
unneeded rebuild when those soname changes. This is not a blocker, 
but certainly shows some issues somewhere (upstream, or in the 
devel packages corresponding with the sonames).
Comment 7 Kevin Fenzi 2006-11-11 20:52:09 EST
In reply to comment #5: 

Yeah, I guess xfce4-panel should Requires: xfce4-icon-theme. That would fix this
issue up unless I am missing something. I will queue that change for the next
time I update xfce4-panel. 
Comment 8 Christoph Wickert 2006-11-11 21:25:05 EST
Thanks for the review, Patrice.

(In reply to comment #6)
> 
> $ ldd -u -r /usr/libexec/xfce4/panel-plugins/xfce4-eyes-plugin
> Unused direct dependencies:
> 
>         /usr/lib/libatk-1.0.so.0
>         /usr/lib/libpangocairo-1.0.so.0
>         /usr/lib/libpango-1.0.so.0
>         /usr/lib/libcairo.so.2
>         /lib/libgmodule-2.0.so.0
>         /lib/libdl.so.2
> 
> Except for /lib/libdl.so.2, this should certainly be solved to avoid
> unneeded rebuild when those soname changes. This is not a blocker, 
> but certainly shows some issues somewhere (upstream, or in the 
> devel packages corresponding with the sonames).
> 
I'll have to take a closer look at this, it's nearly the same for many other
panel-plugins.

Imported into CVS, sync fore Core 6 is requested, built for devel and added to
owners.list. Closing.
Comment 9 Mukundan Ragavan 2014-09-22 21:11:01 EDT
Package Change Request
======================
Package Name:  xfce4-eyes-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 10 Gwyn Ciesla 2014-09-23 08:04:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.